Skip to main content
GET
Get form insights
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

form_id
string
required

Unique ID of the form for which you want to retrieve submissions. Refer to Getting the Form ID section for detailed instructions.

Query Parameters

start_date
string

First day of the range, as YYYY-MM-DD. Use it with end_date.

Example:

"2026-10-01"

end_date
string

Last day of the range (inclusive), as YYYY-MM-DD. Use it with start_date.

Example:

"2026-10-31"

time_zone
string

IANA time zone used for the date range, for example Asia/Kolkata.

Response

OK - Request succeeded

visit_count
integer
start_count
integer
submission_count
integer
completion_rate
number

Percentage of started forms that were sent.

average_submission_time
object
devices
object

Percentage of submissions for each device type.

operating_systems
object

Percentage of submissions for each operating system.

browsers
object

Percentage of submissions for each browser.